ReflectionProperty::getDocComment
ReflectionProperty::getName
ReflectionProperty
PHP Manual

# ReflectionProperty::getModifiers

(PHP 5)

ReflectionProperty::getModifiers — Gets modifiers

### Description

public int ReflectionProperty::getModifiers ( void )

Gets the modifiers.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

A numeric representation of the modifiers.

### See Also

- ReflectionProperty::isPrivate() - Checks if property is private
- Reflection::getModifierNames() - Gets modifier names

ReflectionProperty::getDocComment
ReflectionProperty::getName
ReflectionProperty
PHP Manual